--- a/configure.ac
+++ b/configure.ac
@@ -33,9 +33,6 @@ PRESET_CFLAGS="$CFLAGS"
 PRESET_CXXFLAGS="$CXXFLAGS"
 PRESET_LDFLAGS="$LDFLAGS"
 
-dnl Set default LDFLAGS
-AS_IF([test "x$LDFLAGS" = "x"],[LDFLAGS="-g"])
-
 # check for host OS detail
 AC_CANONICAL_HOST
 AC_MSG_CHECKING([simplified host os])
--- a/src/cf.data.pre
+++ b/src/cf.data.pre
@@ -1669,6 +1669,7 @@ acl Safe_ports port 280		# http-mgmt
 acl Safe_ports port 488		# gss-http
 acl Safe_ports port 591		# filemaker
 acl Safe_ports port 777		# multiling http
+acl Safe_ports port 901		# SWAT
 CONFIG_END
 DOC_END
 
@@ -7447,11 +7448,11 @@ COMMENT_END
 
 NAME: cache_mgr
 TYPE: string
-DEFAULT: webmaster
+DEFAULT: root
 LOC: Config.adminEmail
 DOC_START
 	Email-address of local cache manager who will receive
-	mail if the cache dies.  The default is "webmaster".
+	mail if the cache dies.  The default is "root".
 DOC_END
 
 NAME: mail_from
--- a/src/debug/debug.cc
+++ b/src/debug/debug.cc
@@ -1144,7 +1144,7 @@ Debug::SettleSyslog()
 #if HAVE_SYSLOG && defined(LOG_LOCAL4)
 
     if (Debug::log_syslog) {
-        openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY | LOG_CONS, syslog_facility);
+        openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY, syslog_facility);
         Module().syslogChannel.markOpened();
     }
 
--- a/src/main.cc
+++ b/src/main.cc
@@ -1867,7 +1867,7 @@ watch_child(const CommandLine &masterCommand)
 
     enter_suid();
 
-    openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY | LOG_CONS, LOG_LOCAL4);
+    openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY, LOG_LOCAL4);
 
     if (!opt_foreground)
         GoIntoBackground();
@@ -1959,7 +1959,7 @@ watch_child(const CommandLine &masterCommand)
 
             if ((pid = fork()) == 0) {
                 /* child */
-                openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY | LOG_CONS, LOG_LOCAL4);
+                openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY, LOG_LOCAL4);
                 (void)execvp(masterCommand.arg0(), kidCommand.argv());
                 int xerrno = errno;
                 syslog(LOG_ALERT, "execvp failed: %s", xstrerr(xerrno));
@@ -1971,7 +1971,7 @@ watch_child(const CommandLine &masterCommand)
         }
 
         /* parent */
-        openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY | LOG_CONS, LOG_LOCAL4);
+        openlog(APP_SHORTNAME, LOG_PID | LOG_NDELAY, LOG_LOCAL4);
 
         // If Squid received a signal while checking for dying kids (below) or
         // starting new kids (above), then do a fast check for a new dying kid
